DBT features:

| Name                                           |
| ---------------------------------------------- |
| Materialization: Table                         |
| Materialization: View                          |
| Materialization: Incremental - Append          |
| Materialization: Incremental - Insert+Overwrite|
| Materialization: Incremental - Merge           |
| Seeds                                          |    
| Tests                                          |
| Snapshots                                      |

## Getting Started

### Install DBT-ODPS

```bash
python -m pip install dbt-dli
```

### How to Configure?

#### For Fresh Codebase

Run following command after installing dbt-dli:

```bash
dbt init
```

#### For Existing Codebase

Read more in here: https://docs.getdbt.com/docs/core/connection-profiles

#### Sample profile
demo_project:
  outputs:
    dev:
      type: dli
      region: [region]  
      project_id: [project-id]
      access_id: [access-id]
      secret_key: [secret-id]
      queue: [dli-spark-queue-name]
      database: dli
      schema: [dli-database]
  target: dev

## NOTES

1. When using merge statement, DLI required that table is a delta/hudi table. So, we have to create the snapshot table before select. Under the hook, we using the first referred table as source data structure to create table, so this data source must be a table, view is not supported.
