from dataclasses import dataclass, field

from dbt.adapters.base.relation import BaseRelation
from dbt.contracts.relation import Policy


@dataclass
class DLIIncludePolicy(Policy):
    database: bool = False
    schema: bool = True
    identifier: bool = True


@dataclass(frozen=True, eq=False, repr=False)
class DLIRelation(BaseRelation):
    include_policy: Policy = field(default_factory=lambda: DLIIncludePolicy())
    quote_character: str = "`"